<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml">
<head>
<meta http-equiv="Content-Type" content="text/xhtml;charset=UTF-8"/>
<meta http-equiv="X-UA-Compatible" content="IE=9"/>
<title>DUNE Warm Interface Board: FEMB_DAQ Entity  Reference</title>
<link href="tabs.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="jquery.js"></script>
<script type="text/javascript" src="dynsections.js"></script>
<link href="search/search.css" rel="stylesheet" type="text/css"/>
<script type="text/javascript" src="search/search.js"></script>
<script type="text/javascript">
  $(document).ready(function() { searchBox.OnSelectItem(0); });
</script>
<link href="doxygen.css" rel="stylesheet" type="text/css" />
</head>
<body>
<div id="top"><!-- do not remove this div, it is closed by doxygen! -->
<div id="titlearea">
<table cellspacing="0" cellpadding="0">
 <tbody>
 <tr style="height: 56px;">
  <td style="padding-left: 0.5em;">
   <div id="projectname">DUNE Warm Interface Board
   </div>
   <div id="projectbrief">Firmware for the DUNE Warm Interface Board (WIB)</div>
  </td>
 </tr>
 </tbody>
</table>
</div>
<!-- end header part -->
<!-- Generated by Doxygen 1.8.1 -->
<script type="text/javascript">
var searchBox = new SearchBox("searchBox", "search",false,'Search');
</script>
  <div id="navrow1" class="tabs">
    <ul class="tablist">
      <li><a href="index.html"><span>Main&#160;Page</span></a></li>
      <li class="current"><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="files.html"><span>Files</span></a></li>
      <li>
        <div id="MSearchBox" class="MSearchBoxInactive">
        <span class="left">
          <img id="MSearchSelect" src="search/mag_sel.png"
               onmouseover="return searchBox.OnSearchSelectShow()"
               onmouseout="return searchBox.OnSearchSelectHide()"
               alt=""/>
          <input type="text" id="MSearchField" value="Search" accesskey="S"
               onfocus="searchBox.OnSearchFieldFocus(true)" 
               onblur="searchBox.OnSearchFieldFocus(false)" 
               onkeyup="searchBox.OnSearchFieldChange(event)"/>
          </span><span class="right">
            <a id="MSearchClose" href="javascript:searchBox.CloseResultsWindow()"><img id="MSearchCloseImg" border="0" src="search/close.png" alt=""/></a>
          </span>
        </div>
      </li>
    </ul>
  </div>
  <div id="navrow2" class="tabs2">
    <ul class="tablist">
      <li><a href="annotated.html"><span>Design&#160;Unit&#160;List</span></a></li>
      <li><a href="classes.html"><span>Design&#160;Units</span></a></li>
      <li><a href="inherits.html"><span>Design&#160;Unit&#160;Hierarchy</span></a></li>
      <li><a href="functions.html"><span>Design&#160;Unit&#160;Members</span></a></li>
    </ul>
  </div>
<!-- window showing the filter options -->
<div id="MSearchSelectWindow"
     onmouseover="return searchBox.OnSearchSelectShow()"
     onmouseout="return searchBox.OnSearchSelectHide()"
     onkeydown="return searchBox.OnSearchSelectKey(event)">
<a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(0)"><span class="SelectionMark">&#160;</span>All</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(1)"><span class="SelectionMark">&#160;</span>Classes</a><a class="SelectItem" href="javascript:void(0)" onclick="searchBox.OnSelectItem(2)"><span class="SelectionMark">&#160;</span>Variables</a></div>

<!-- iframe showing the search results (closed by default) -->
<div id="MSearchResultsWindow">
<iframe src="javascript:void(0)" frameborder="0" 
        name="MSearchResults" id="MSearchResults">
</iframe>
</div>

</div><!-- top -->
<div class="header">
  <div class="summary">
<a href="#nested-classes">Entities</a> &#124;
<a href="#pub-attribs">Public Attributes</a>  </div>
  <div class="headertitle">
<div class="title">FEMB_DAQ Entity Reference</div>  </div>
</div><!--header-->
<div class="contents">
<div class="dynheader">
Inheritance diagram for FEMB_DAQ:</div>
<div class="dyncontent">
<div class="center"><img src="classFEMB__DAQ__inherit__graph.png" border="0" usemap="#FEMB__DAQ_inherit__map" alt="Inheritance graph"/></div>
<map name="FEMB__DAQ_inherit__map" id="FEMB__DAQ_inherit__map">
<area shape="rect" id="node10" href="classWIB.html" title="WIB" alt="" coords="218,229,266,256"/><area shape="rect" id="node2" href="classFEMB__Rx.html" title="The FEMB_RxTx modulue handles the transceiver streams and user logic interface." alt="" coords="5,80,124,107"/><area shape="rect" id="node3" href="classCOLDATA__Simulator.html" title="work.COLDATA_Simulator" alt="" coords="149,80,335,107"/><area shape="rect" id="node4" href="classcounter.html" title="work.counter(8)" alt="" coords="151,5,271,32"/><area shape="rect" id="node5" href="classCD__Stream__Processor.html" title="work.CD_Stream_Processor" alt="" coords="391,80,591,107"/><area shape="rect" id="node6" href="classreseter.html" title="work.reseter(4)" alt="" coords="296,5,415,32"/><area shape="rect" id="node7" href="classpacd.html" title="work.pacd(4)" alt="" coords="439,5,543,32"/><area shape="rect" id="node8" href="classCDRAM.html" title="CDRAM(2)" alt="" coords="567,5,658,32"/><area shape="rect" id="node9" href="classcounter.html" title="work.counter(16)" alt="" coords="682,5,810,32"/></map>
<center><span class="legend">[<a href="graph_legend.html">legend</a>]</span></center></div>

<p><a href="classFEMB__DAQ-members.html">List of all members.</a></p>
<table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="nested-classes"></a>
Entities</h2></td></tr>
<tr class="memitem:"><td class="memItemLeft" align="right" valign="top"><a class="el" href="classFEMB__DAQ_1_1behavioral.html">behavioral</a> &#160;</td><td class="memItemRight" valign="bottom">architecture</td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Use Clauses"></a>
Use Clauses</h2></td></tr>
 <tr class="memitem:a2edc34402b573437d5f25fa90ba4013e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a2edc34402b573437d5f25fa90ba4013e"></a>
<a class="el" href="classFEMB__DAQ.html#a2edc34402b573437d5f25fa90ba4013e">numeric_std</a>&#160;</td><td class="memItemRight" valign="bottom">  </td></tr>
<tr class="memitem:a98507a0fe8002408a9d024a6658901e7"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a98507a0fe8002408a9d024a6658901e7"></a>
<a class="el" href="classFEMB__DAQ.html#a98507a0fe8002408a9d024a6658901e7">WIB_Constants</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classWIB__Constants.html"> &lt;WIB_Constants&gt;</a></td></tr>
<tr class="memitem:a1a7369aeafa8e07dc7207d2a2d771b47"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a1a7369aeafa8e07dc7207d2a2d771b47"></a>
<a class="el" href="classFEMB__DAQ.html#a1a7369aeafa8e07dc7207d2a2d771b47">COLDATA_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classCOLDATA__IO.html"> &lt;COLDATA_IO&gt;</a></td></tr>
<tr class="memitem:adec9c787fb8ad0cb3ab02d63b8630c79"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adec9c787fb8ad0cb3ab02d63b8630c79"></a>
<a class="el" href="classFEMB__DAQ.html#adec9c787fb8ad0cb3ab02d63b8630c79">FEMB_DAQ_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classFEMB__DAQ__IO.html"> &lt;FEMB_DAQ_IO&gt;</a></td></tr>
<tr class="memitem:adbf66be47e4db7c96a68b5207490642b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="adbf66be47e4db7c96a68b5207490642b"></a>
<a class="el" href="classFEMB__DAQ.html#adbf66be47e4db7c96a68b5207490642b">Convert_IO</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classConvert__IO.html"> &lt;Convert_IO&gt;</a></td></tr>
<tr class="memitem:a8610a7f240b7527da75925f19529e446"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a8610a7f240b7527da75925f19529e446"></a>
<a class="el" href="classFEMB__DAQ.html#a8610a7f240b7527da75925f19529e446">CD_EB_BRIDGE</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classCD__EB__BRIDGE.html"> &lt;CD_EB_BRIDGE&gt;</a></td></tr>
<tr class="memitem:ada1730f3e85914449cfc1bf2e0ef0c4d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ada1730f3e85914449cfc1bf2e0ef0c4d"></a>
<a class="el" href="classFEMB__DAQ.html#ada1730f3e85914449cfc1bf2e0ef0c4d">types</a>&#160;</td><td class="memItemRight" valign="bottom">   <b>Package</b><em><a class="el" href="classtypes.html"> &lt;types&gt;</a></td></tr>
</table><table class="memberdecls">
<tr class="heading"><td colspan="2"><h2><a name="Ports"></a>
Ports</h2></td></tr>
 <tr class="memitem:aa5dee59e6dfd116b6e40669ba272461f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa5dee59e6dfd116b6e40669ba272461f"></a>
<a class="el" href="classFEMB__DAQ.html#aa5dee59e6dfd116b6e40669ba272461f">reset</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a73f45e4e4ae1423c130abe4497ea602b"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a73f45e4e4ae1423c130abe4497ea602b"></a>
<a class="el" href="classFEMB__DAQ.html#a73f45e4e4ae1423c130abe4497ea602b">clk_FEMB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ab684c69656dbc9c1e619a4fa55a6bcae"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ab684c69656dbc9c1e619a4fa55a6bcae"></a>
<a class="el" href="classFEMB__DAQ.html#ab684c69656dbc9c1e619a4fa55a6bcae">reset_FEMB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a63b013fd3fb50222475132b9ad926440"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a63b013fd3fb50222475132b9ad926440"></a>
<a class="el" href="classFEMB__DAQ.html#a63b013fd3fb50222475132b9ad926440">convert</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">convert_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a0e49ade12810402f6f4a8ba7a806816a"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a0e49ade12810402f6f4a8ba7a806816a"></a>
<a class="el" href="classFEMB__DAQ.html#a0e49ade12810402f6f4a8ba7a806816a">Rx</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar">FEMB_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aac522b9b9a10359329a640bd4d7b9972"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aac522b9b9a10359329a640bd4d7b9972"></a>
<a class="el" href="classFEMB__DAQ.html#aac522b9b9a10359329a640bd4d7b9972">Rx_refclk</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a94d1bb671b50bcf1602c1a3e319e5756"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a94d1bb671b50bcf1602c1a3e319e5756"></a>
<a class="el" href="classFEMB__DAQ.html#a94d1bb671b50bcf1602c1a3e319e5756">Rx_LOS_n</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar">FEMB_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">-</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">0</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9eb76af85ac4bfd0575d4ffb8a9cbdef"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9eb76af85ac4bfd0575d4ffb8a9cbdef"></a>
<a class="el" href="classFEMB__DAQ.html#a9eb76af85ac4bfd0575d4ffb8a9cbdef">clk_EVB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:aa39f23c043392eeb1226dbf3be2dafb8"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="aa39f23c043392eeb1226dbf3be2dafb8"></a>
<a class="el" href="classFEMB__DAQ.html#aa39f23c043392eeb1226dbf3be2dafb8">reset_EVB</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a9c8cd2d42e594666ddeafd835619e74d"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a9c8cd2d42e594666ddeafd835619e74d"></a>
<a class="el" href="classFEMB__DAQ.html#a9c8cd2d42e594666ddeafd835619e74d">CD_stream</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">CD_stream_array_t</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">FEMB_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a85a9304045dcdfa18fda04fcb19076e4"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a85a9304045dcdfa18fda04fcb19076e4"></a>
<a class="el" href="classFEMB__DAQ.html#a85a9304045dcdfa18fda04fcb19076e4">CD_read</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="comment">std_logic_vector</span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar">(</span><span class="vhdlchar"> </span><span class="vhdlchar">FEMB_COUNT</span><span class="vhdlchar"> </span><span class="vhdlchar">*</span><span class="vhdlchar"> </span> <span class="vhdldigit">4</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlkeyword">downto</span><span class="vhdlchar"> </span><span class="vhdlchar"> </span><span class="vhdlchar"> </span> <span class="vhdldigit">1</span> <span class="vhdlchar"> </span><span class="vhdlchar">)</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a43f086cf76a05d38ec2af7f03ccacd57"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a43f086cf76a05d38ec2af7f03ccacd57"></a>
<a class="el" href="classFEMB__DAQ.html#a43f086cf76a05d38ec2af7f03ccacd57">monitor</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">FEMB_DAQs_Monitor_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:a5f96f9ef321feb15edbdcb0f624a308e"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="a5f96f9ef321feb15edbdcb0f624a308e"></a>
<a class="el" href="classFEMB__DAQ.html#a5f96f9ef321feb15edbdcb0f624a308e">control</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">in</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">FEMB_DAQs_Control_t</span><span class="vhdlchar"> </span></b></td></tr>
<tr class="memitem:ad6c0cbbd45681b37b833a56d5d29705f"><td class="memItemLeft" align="right" valign="top"><a class="anchor" id="ad6c0cbbd45681b37b833a56d5d29705f"></a>
<a class="el" href="classFEMB__DAQ.html#ad6c0cbbd45681b37b833a56d5d29705f">DQM</a> &#160;</td><td class="memItemRight" valign="bottom"> <b><b><span class="vhdlkeyword">out</span><span class="vhdlchar"> </span></b></b> <b><span class="vhdlchar">FEMB_DQM_t</span><span class="vhdlchar"> </span></b></td></tr>
</table>
<hr/><a name="details" id="details"></a><h2>Detailed Description</h2>
<div class="textblock">
<p>Definition at line <a class="el" href="FEMB__DAQ_8vhd_source.html#l00014">14</a> of file <a class="el" href="FEMB__DAQ_8vhd_source.html">FEMB_DAQ.vhd</a>.</p>
</div><hr/>The documentation for this class was generated from the following file:<ul>
<li>/home/dan/work/DUNE/dune-wib.firmware/trunk/src/FEMB_DAQ/<a class="el" href="FEMB__DAQ_8vhd_source.html">FEMB_DAQ.vhd</a></li>
</ul>
</div><!-- contents -->
<!-- start footer part -->
<hr class="footer"/><address class="footer"><small>
Generated on Wed Nov 1 2017 10:40:33 for DUNE Warm Interface Board by &#160;<a href="http://www.doxygen.org/index.html">
<img class="footer" src="doxygen.png" alt="doxygen"/>
</a> 1.8.1
</small></address>
</body>
</html>
